{% extends 'base.html' %}
{% load static %}

{%block content%}

<!-- Formulaire des séries-->
<form action="{% url 'appli:cardsCombination'%}" method="post">
{% csrf_token %}
    <div class="container-fluid vw-100">
        <div class="row mt-5 mb-5">
            {% for i in '12345'|make_list %}
                <div class="col ml-2">
                    <!-- Selection de la carte-->
                    <div class="row">

                        <div class="dropdown d-flex justify-content-center">

                            <div class="dropdown">
                            <button class="btn btn-secondary dropdown-toggle" type="button" id="dropdownMenuButton{{forloop.counter}}" data-bs-toggle="dropdown" aria-expanded="false">
                                    Dropdown button
                                </button>
                                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton" id="myDropdown{{ forloop.counter }}">
                                    <input type="text" placeholder="Search.." id="myInput{{ forloop.counter }}" onkeyup="filterFunction({{ forloop.counter }})">
                                    <li><a class="dropdown-item" onclick="selectCard({{ i }}, -1, 'Pas de carte', '{%static 'images/defaults/chacha.png' %}')">---</a></li>
                                    {%for card in AutocompleteCards%}
                                    <li><a class="dropdown-item" onclick="selectCard({{ i }}, {{card.pk}}, '{{card.name | slugify}}', '{% static 'images/cards/'%}{{card.getIconName}}')">{{card.name}}</a></li>
                                    {%endfor%}
                                </ul>
                            </div>
                            <input id="field{{ forloop.counter }}" name="card{{ forloop.counter }}" type="hidden" value="-1">
                            <p id="current{{ forloop.counter }}"> </p>
                        </div>

                    </div>

                    <!-- Detail de la carte -->
                    <div class="row-4">
                        <div class="col w-100">
                            <div class="card-picker-container mx-auto">
                                <div class="row-6 card-picker-img ">
                                    <img id="img{{forloop.counter}}" class="img-fluid" src="{%static 'images/defaults/chacha.png' %}" alt="" />
                                </div>
                                <div class="row-6 card-picker-name">
                                    <p id="name{{forloop.counter}}">Pas de carte</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            {%endfor%}
        </div>

        <div class="d-grid gap-2 row mx-auto w-25">
            <button class="btn btn-primary" type="submit">RECHERCHE</button>
        </div>

    </div>
</form>





<script>
    /* When the user clicks on the button,
    toggle between hiding and showing the dropdown content */
    function selectCard(forloop, id, name, url) {
      document.getElementById("field"+forloop).value = id;
      document.getElementById("name"+forloop).innerText = name ;
      document.getElementById("img"+forloop).src = url;
    }
</script>

{% endblock %}